# Uses of Class
jdk.incubator.foreign.ValueLayout.OfAddress

Packages that use ValueLayout.OfAddress
Package
Description
jdk.incubator.foreign
Classes to support low-level and efficient foreign memory/function access, directly from Java.

## Uses of ValueLayout.OfAddress in jdk.incubator.foreign

Fields in jdk.incubator.foreign declared as ValueLayout.OfAddress
Modifier and Type
Field
Description
`static final ValueLayout.OfAddress`
ValueLayout.`ADDRESS`
A value layout constant whose size is the same as that of a machine address (`size_t`), bit alignment set to 8, and byte order set to `ByteOrder.nativeOrder()`.
Methods in jdk.incubator.foreign that return ValueLayout.OfAddress
Modifier and Type
Method
Description
`ValueLayout.OfAddress`
ValueLayout.OfAddress.`withBitAlignment(long alignmentBits)`
`ValueLayout.OfAddress`
ValueLayout.OfAddress.`withName(String name)`
`ValueLayout.OfAddress`
ValueLayout.OfAddress.`withOrder(ByteOrder order)`
Methods in jdk.incubator.foreign with parameters of type ValueLayout.OfAddress
Modifier and Type
Method
Description
`VaList.Builder`
VaList.Builder.`addVarg(ValueLayout.OfAddress layout, Addressable value)`
Writes an `Addressable` value to the variable argument list being constructed.
`default MemorySegment`
SegmentAllocator.`allocate(ValueLayout.OfAddress layout, Addressable value)`
Allocate a memory segment with given layout and initialize it with given address value (expressed as an `Addressable` instance).
`MemoryAddress`
MemoryAddress.`get(ValueLayout.OfAddress layout, long offset)`
Reads an address from this address and offset with given layout.
`default MemoryAddress`
MemorySegment.`get(ValueLayout.OfAddress layout, long offset)`
Reads an address from this segment and offset with given layout.
`MemoryAddress`
MemoryAddress.`getAtIndex(ValueLayout.OfAddress layout, long index)`
Reads an address from this address and index, scaled by given layout size.
`default MemoryAddress`
MemorySegment.`getAtIndex(ValueLayout.OfAddress layout, long index)`
Reads an address from this segment and index, scaled by given layout size.
`MemoryAddress`
VaList.`nextVarg(ValueLayout.OfAddress layout)`
Reads the next value as a `MemoryAddress` and advances this variable argument list's position.
`void`
MemoryAddress.`set(ValueLayout.OfAddress layout, long offset, Addressable value)`
Writes an address to this address instance and offset with given layout.
`default void`
MemorySegment.`set(ValueLayout.OfAddress layout, long offset, Addressable value)`
Writes an address to this segment and offset with given layout.
`void`
MemoryAddress.`setAtIndex(ValueLayout.OfAddress layout, long index, Addressable value)`
Writes an address to this address instance and index, scaled by given layout size.
`default void`
MemorySegment.`setAtIndex(ValueLayout.OfAddress layout, long index, Addressable value)`
Writes an address to this segment and index, scaled by given layout size.